%define major		2
%define Extras		extra-0.1
%define	wmcalclock	wmCalClock-1.25
%define	wmmail		WMMail.app-0.64

%define	X11prefix	/usr/X11R6
# don't modify _prefix macro, it will break update_session macro
%define X11bindir   %X11prefix/bin
%define X11libdir   %X11prefix/lib
%define _mandir     %X11prefix/man
%define _includedir %X11prefix/include
%define X11datadir     %X11prefix/share
%define _pixdir     %_datadir/pixmaps
%define _wm_mdk_dir %_datadir/mdk/

Summary:	A window manager for the X Window System
Name:		WindowMaker
Version:	0.80.0
Release:	5mdk
License:	GPL
Group:		Graphical desktop/WindowMaker
URL:		http://www.windowmaker.org/ 

Source0:	WindowMaker-%{version}.tar.bz2
Source1:	WindowMaker-data.tar.bz2
Source2:	WindowMaker-%{wmcalclock}.tar.bz2
Source3:	WindowMaker-%{Extras}.tar.bz2
Source4:	WindowMaker-menumethod
Source5:	WindowMaker-icons.tar.bz2
Source6:	WindowMaker-WindowMaker
Source7:	WindowMaker-WMWindowAttributes
Source8:	WindowMaker-startwindowmaker
Source9:	WindowMaker-WMState-with-WMMail
Source10:	WindowMaker-Terminal
Source11:	WindowMaker-WMMail.app-0.64.tar.bz2
Source12:	WindowMaker-WMMail-default-config
Source13:	WindowMaker-wmaker.inst
Source14:	WindowMaker-Default.CJK.style
Source15:	WindowMaker-WMState-without-WMMail
Source16:	WindowMaker-WindowMaker-root

Patch0:		WindowMaker-wmaker.inst-mdk.patch.bz2

Requires:	/lib/cpp, mandrake_desk >= 8.1-20mdk

Obsoletes:	windowmaker windowmaker-libs WindowMaker-kde WindowMaker-gnome WindowMaker-common
Provides:	windowmaker windowmaker-libs WindowMaker-kde WindowMaker-gnome WindowMaker-common

BuildRoot:	%_tmppath/%name-%version-%release-root

BuildRequires:	XFree86-static-libs autoconf automake
BuildRequires:	gcc-cpp libPropList-devel
BuildRequires:	libhermes-devel libjpeg-devel
BuildRequires:	libpng-devel libtiff-devel libungif-devel
BuildRequires:	libxpm4-devel mawk rpm-build

%description
Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.


%package -n libwraster%major
Summary:	Libwraster - Shared library
Group:		Graphical desktop/WindowMaker
PreReq:		libPropList >= 0.10.1
Provides:	libwraster

%description -n libwraster%major
This package contains a shared library needed if you wish use WindowMaker.


%package -n libwraster%major-devel
Summary:	Libwraster - Development library
Group:		Development/C
PreReq:		libwraster%major = %version-%release
Provides:	libwraster-devel

%description -n libwraster%major-devel
This package allows build of softwares using libwraster library.


%package -n libwraster%major-static-devel
Summary:	Libwraster - Static library
Group:		Development/C
PreReq:		libwraster%major-devel = %version-%release
Provides:	libwraster-static-devel

%description -n libwraster%major-static-devel
This package contains a static library used to build statically linked 
softwares against libwraster.


%package devel
Summary:	Static libraries and header files
Group:		Development/C
PreReq:		libwraster%major-devel = %version-%release
Obsoletes:	windowmaker-devel
Provides:	windowmaker-devel

%description devel
Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
xapplications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

This package contains headers needed for development.


%package static-devel
Summary:	Static libraries
Group:		Development/C
PreReq:		%name-devel = %version-%release

%description static-devel
Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
xapplications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

This package contains static libraries needed for development.



%prep

%setup -q -a 1 -a 2 -a 3 -a 11
%patch0 -p1

%build
CFLAGS="%optflags"
NLSDIR=%X11prefix/share/locale
LINGUAS="bg cs da de el es et fi fr gl hr hu it ja ko nl no pl pt ro ru sk sv tr zh_CN zh_TW.Big5"
GNUSTEP_LOCAL_ROOT='%X11libdir/GNUstep'
CPP_PATH=/lib/cpp
export CFLAGS CPP_PATH NLSDIR LINGUAS GNUSTEP_LOCAL_ROOT
./configure --prefix=%X11prefix \
		--bindir=%X11bindir \
        --libdir=%X11libdir \
	    --sysconfdir=%_sysconfdir/X11 \
	    --enable-newstyle \
	    --enable-sound  \
	    --enable-superfluous \
	    --with-pixmapdir=%_pixdir \
	    --enable-gnome \
	    --enable-shm \
	    --enable-usermenu \
	    --with-pic

# wmCalClock (default clock)
cd $RPM_BUILD_DIR/%name-%{version}/wmCalClock-1.25/Src
%make CFLAGS="%optflags"

# WMMail (default mail notifier)
cd $RPM_BUILD_DIR/%name-%version/WMMail.app-0.64
CFLAGS="%optflags" ./configure --prefix=%X11prefix
%make



%install
rm -fr %buildroot

%makeinstall_std

install -d 644 %buildroot/%_pixdir
install -m 644 WindowMaker-data/pixmaps/* %buildroot/%_pixdir


# Install wmCalClock (default clcok)
cd $RPM_BUILD_DIR/%name-%version/wmCalClock-1.25/Src
perl -p -i -e "s|^DESTDIR=.*|DESTDIR= %buildroot/%X11prefix|" Makefile
make install prefix=%buildroot
cd %buildroot/%X11bindir
mv wmCalClock wmCalClock-WindowMaker
ln -s wmCalClock-WindowMaker wmCalClock
cd -


# Install WMMail
cd $RPM_BUILD_DIR/%name-%version/WMMail.app-0.64
make install prefix=%buildroot/%X11prefix
cd -
# Default configuration for WMMail
install %{SOURCE12} %buildroot/%_sysconfdir/X11/WindowMaker/WMMail


# And use them
install -d %buildroot/%_wm_mdk_dir/WindowMaker
install -m 644 %SOURCE9  %buildroot/%_wm_mdk_dir/WindowMaker/WMState-with-WMMail
install -m 644 %SOURCE15 %buildroot/%_wm_mdk_dir/WindowMaker/WMState-without-WMMail


# Config files: Auto installation
install -m 755 %SOURCE8 %buildroot/%X11bindir/startwindowmaker

install -m 644 %SOURCE6 %buildroot/%_sysconfdir/X11/WindowMaker/WindowMaker
install -m 644 %SOURCE7 %buildroot/%_sysconfdir/X11/WindowMaker/WMWindowAttributes

install -d -m 755 %buildroot/%_wm_mdk_dir/WindowMaker/root/
install -m 644 %SOURCE16 %buildroot/%_wm_mdk_dir/WindowMaker/root/WindowMaker


# Better terminal launched in Dock
install -m 755 %SOURCE10 %buildroot/%X11bindir


# Menu support
install -d %buildroot/%_menudir
install -d %buildroot/%_sysconfdir/menu-methods

install -m 755 %SOURCE4 %buildroot/%_sysconfdir/menu-methods/%name

cat > %buildroot/%_menudir/%name << EOF
# Call Window Maker in other window managers
?package(%name): needs=wm section=Session/Windowmanagers title="Window Maker" longtitle="Empty" command="%X11bindir/wmaker" icon="%name.xpm"

# Desktop
?package(%name): needs=wmaker section="Session/Window Maker" title="Desktops" longtitle="Empty" command="WORKSPACE_MENU"

# Workspace
?package(%name): needs=wmaker section="Session/Window Maker/Workspace" title="Hide Others" longtitle="Empty" command="HIDE_OTHERS"
?package(%name): needs=wmaker section="Session/Window Maker/Workspace" title="Show All" longtitle="Empty" command="SHOW_ALL"
?package(%name): needs=wmaker section="Session/Window Maker/Workspace" title="Arrange Icons" longtitle="Empty" command=ARRANGE_ICONS
?package(%name): needs=wmaker section="Session/Window Maker/Workspace" title="Refresh" longtitle="Empty" command=REFRESH
?package(%name): needs=wmaker section="Session/Window Maker/Workspace" title="Lock"  longtitle="Empty" command="EXEC xlock -allowroot -usefirst"
?package(%name): needs=wmaker section="Session/Window Maker/Workspace" title="Save Session" longtitle="Empty" command=SAVE_SESSION
?package(%name): needs=wmaker section="Session/Window Maker/Workspace" title="Clear Session" longtitle="Empty" command=CLEAR_SESSION

# Themes
?package(%name): needs=wmaker section="Session/Window Maker/Appearance" title="Themes" longtitle="Empty" command="OPEN_MENU -noext THEMES_DIR \$HOME/GNUstep/Library/WindowMaker/Themes WITH setstyle"

# Styles
?package(%name): needs=wmaker section="Session/Window Maker/Appearance" title="Styles" longtitle="Empty" command="OPEN_MENU -noext STYLES_DIR \$HOME/GNUstep/Library/WindowMaker/Styles WITH setstyle"

# Backgrounds (solid)
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Black" longtitle="Empty" command="WS_BACK '(solid, black)'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Blue" longtitle="Empty" command="WS_BACK '(solid, \"#505075\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Indigo" longtitle="Empty" command="WS_BACK '(solid, \"#243e6c\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Bleumarine" longtitle="Empty" command="WS_BACK '(solid, \"#224477\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Purple" longtitle="Empty" command="WS_BACK '(solid, \"#554466\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Wheat" longtitle="Empty" command=" WS_BACK '(solid, \"wheat4\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Dark Gray" longtitle="Empty" command="WS_BACK '(solid, \"#333340\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Red Wine" longtitle="Empty" command="WS_BACK '(solid, \"#400020\")'"

# Background (Gradient)
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Sunset" longtitle="Empty" command="WS_BACK '(mvgradient, deepskyblue4, black, deepskyblue4, tomato4)'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Sky" longtitle="Empty" command="WS_BACK '(vgradient, blue4, white)'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Blue Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#7080a5\", \"#101020\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Indigo Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#746ebc\", \"#242e4c\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Purple Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#654c66\", \"#151426\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Wheat Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#a09060\", \"#302010\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Grey Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#636380\", \"#131318\")'"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Wine Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#600040\", \"#180010\")'"

# Background (Images)
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Images" title="Scaled" longtitle="Empty" command="OPEN_MENU -noext BACKGROUNDS_DIR \$HOME/GNUstep/Library/WindowMaker/Backgrounds WITH wmsetbg -u -s"
?package(%name): needs=wmaker section="Session/Window Maker/Appearance/Background/Images" title="Tiled"  longtitle="Empty" command="OPEN_MENU -noext BACKGROUNDS_DIR \$HOME/GNUstep/Library/WindowMaker/Backgrounds WITH wmsetbg -u -t"

# Save theme and preference utility
?package(%name): needs=wmaker section="Session/Window Maker/Appearance" title="Save Theme" longtitle="Empty" command="SHEXEC getstyle -t \$HOME/GNUstep/Library/WindowMaker/Themes/\"%a(Theme name,Enter file name:)\""
?package(%name): needs=wmaker section="Session/Window Maker/Appearance" title="Save IconSet" longtitle="Empty" command="SHEXEC geticonset \$HOME/GNUstep/Library/WindowMaker/IconSets/\"%a(IconSet name,Enter file name:)\""
?package(%name): needs=wmaker section="Session/Window Maker/Appearance" title="Preferences Utility" longtitle="Empty" command="EXEC /usr/X11R6/lib/GNUstep/Apps/WPrefs.app/WPrefs"

# Informations
?package(%name): needs=wmaker section="Session/Window Maker/Informations" title="Info Panel" longtitle="Empty" command="INFO_PANEL"
?package(%name): needs=wmaker section="Session/Window Maker/Informations" title="Legal" longtitle="Empty" command="LEGAL_PANEL"

# Selection
?package(%name): needs=wmaker section="Session/Window Maker/Selection" title="Copy" longtitle="Empty" command="SHEXEC echo \'%s\' | wxcopy"
?package(%name): needs=wmaker section="Session/Window Maker/Selection" title="Search in manual" longtitle="Empty" command="SHEXEC MANUAL_SEARCH(%s)"

# Exit and restart
?package(%name): needs=wmaker section="Exit" title="Restart" longtitle="Empty" command="RESTART"
?package(%name): needs=wmaker section="Exit" title="Exit" longtitle="Empty" command="EXIT"
EOF

rm -f %buildroot/%X11datadir/WindowMaker/menu.*


# Icons
install -d %buildroot/%_miconsdir
install -d %buildroot/%_iconsdir
install -d %buildroot/%_liconsdir
tar xOjf %SOURCE5 %name-16x16.xpm > %buildroot/%_miconsdir/%name.xpm
tar xOjf %SOURCE5 %name-32x32.xpm > %buildroot/%_iconsdir/%name.xpm
tar xOjf %SOURCE5 %name-48x48.xpm > %buildroot/%_liconsdir/%name.xpm


# Some documentation for WMCalClock
cd $RPM_BUILD_DIR/%name-%version
install -d 755 $RPM_BUILD_ROOT%_docdir/%{wmcalclock}
install -m 644 %{wmcalclock}/BUGS $RPM_BUILD_ROOT%_docdir/%{wmcalclock}
install -m 644 %{wmcalclock}/CHANGES $RPM_BUILD_ROOT%_docdir/%{wmcalclock}
install -m 644 %{wmcalclock}/COPYING $RPM_BUILD_ROOT%_docdir/%{wmcalclock}
install -m 644 %{wmcalclock}/HINTS $RPM_BUILD_ROOT%_docdir/%{wmcalclock}
install -m 644 %{wmcalclock}/README $RPM_BUILD_ROOT%_docdir/%{wmcalclock}
install -m 644 %{wmcalclock}/TODO $RPM_BUILD_ROOT%_docdir/%{wmcalclock}

# Some documentation for WMMail
cd $RPM_BUILD_DIR/%name-%version
install -d 755 $RPM_BUILD_ROOT%_docdir/%{wmmail}
install -m 644 %{wmmail}/AUTHORS $RPM_BUILD_ROOT%_docdir/%{wmmail}
install -m 644 %{wmmail}/ChangeLog $RPM_BUILD_ROOT%_docdir/%{wmmail}
install -m 644 %{wmmail}/doc/Help.txt $RPM_BUILD_ROOT%_docdir/%{wmmail}
install -m 644 %{wmmail}/NEWS $RPM_BUILD_ROOT%_docdir/%{wmmail}
install -m 644 %{wmmail}/README $RPM_BUILD_ROOT%_docdir/%{wmmail}
# And the man page
install -m 644 %{wmmail}/doc/wmmail.man $RPM_BUILD_ROOT/%_mandir/man1/wmmail.man


# Dadou - 0.62.1-18mdk - Make auto-login happy
# Alex DU - 0.62.1-21mdk - Make wmaker.inst script to write the right font
#                       definitions for CJK user.
install -m 755 %SOURCE13 %buildroot/%X11bindir/wmaker.inst

# Alex DU - 0.62.1-21mdk install a theme for CJK user
install -m 644 %SOURCE14 %buildroot/%X11prefix/share/WindowMaker/Themes/Default.CJK.style

# wmsession support
mkdir -p %buildroot/%_sysconfdir/X11/wmsession.d/
cat << EOF > %buildroot/%_sysconfdir/X11/wmsession.d/03WindowMaker
NAME=WindowMaker
ICON=wmaker-wmsession.xpm
EXEC=%X11bindir/startwindowmaker
DESC=Window manager which emulates the look and feel of the NeXTSTEP (TM) graphical user interface
SCRIPT:
exec %X11bindir/startwindowmaker
EOF

%find_lang WPrefs
%find_lang WindowMaker
%find_lang WINGs
cat WPrefs.lang >> WindowMaker.lang
cat WINGs.lang >> WindowMaker.lang


%clean
rm -fr %buildroot


%post
%update_menus
%make_session

%postun
%clean_menus
%make_session

%post -n libwraster%major -p /sbin/ldconfig
%postun -n libwraster%major -p /sbin/ldconfig


%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGFORM BUGS ChangeLog COPYING COPYING.WTFPL FAQ FAQ.I18N MIRRORS NEWS README* TODO
%doc %_docdir/%{wmcalclock}
%doc %_docdir/%{wmmail}

%dir %_sysconfdir/X11/WindowMaker/
%config(noreplace) %_sysconfdir/X11/WindowMaker/*
%config(noreplace) %_sysconfdir/menu-methods/WindowMaker
%config(noreplace) %_sysconfdir/X11/wmsession.d/*

%X11bindir/*

%X11libdir/GNUstep/Apps/WPrefs.app
%X11libdir/GNUstep/Apps/WMMail.app

%doc %_mandir/man1/*
%dir %_mandir/sk/
%dir %_mandir/sk/man1/
%doc %_mandir/sk/man1/*

%dir %X11datadir/WindowMaker/
%X11datadir/WindowMaker/*

%dir %X11datadir/WINGs/
%X11datadir/WINGs/*.tiff
%X11datadir/WINGs/*.xpm

%_menudir/WindowMaker
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm

%dir %_wm_mdk_dir/
%dir %_wm_mdk_dir/WindowMaker/
%dir %_wm_mdk_dir/WindowMaker/root/
%_wm_mdk_dir/WindowMaker/WMState-with-WMMail
%_wm_mdk_dir/WindowMaker/WMState-without-WMMail
%_wm_mdk_dir/WindowMaker/root/WindowMaker

%_pixdir/*.xpm


%files -n libwraster%major
%defattr(-,root,root,-)
%X11libdir/libwraster.so.*


%files -n libwraster%major-devel
%defattr(-,root,root)
%_includedir/wraster.h
%X11libdir/libwraster.so
%X11libdir/libwraster.la


%files -n libwraster%major-static-devel
%defattr(-,root,root,-)
%X11libdir/libwraster.a


%files devel
%defattr(-,root,root,-)
%_includedir/WMaker.h

%dir %_includedir/WINGs/
%_includedir/WINGs/*.h


%files static-devel
%defattr(-,root,root,-)
%X11libdir/libExtraWINGs.a
%X11libdir/libWINGs.a
%X11libdir/libWMaker.a
%X11libdir/libWUtil.a


%changelog
* Thu Feb 28 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.80.0-5mdk
- Really don't depend on aterm (sorry for the missing fix).

* Wed Feb 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.80.0-4mdk
- Use xvt so we don't explicitly depend on aterm.
- Put the libwraster la file in -devel.

* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.80.0-3mdk
- Fix description length
- Do not modify _prefix macro
- Replace Wine with Red Wine entry (to prevent translation errors with Wine package)

* Thu Jan 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.80.0-2mdk
- further spec clean

* Wed Jan 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.80.0-1mdk
- sanitize macros use
- new release

* Tue Dec  4 2001 Stefan van der Eijk <stefan@eijk.nu> 0.70.0-2mdk
- Removed %%dir %%_pixdir/ (owned by filesystem)
- Removed redundant BuildRequires

* Tue Nov 08 2001 David BAUDENS <baudens@mandrakesoft.com> 0.70.0-1mdk
- 0.70.0
- various rpmlint fixes (Titi)
- s!wundowmaker!windowmaker!g (Titi)
- s!windowmkaer!windowmaker!g (Titi)

* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.65.1-6mdk
- rebuild against new libpng

* Tue Oct 02 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.1-5mdk
- Fix Provides/Requires/PreReq
- Clean spec
- Remove old KDE support
- Move static libraries in static-devel packages
- Put includes in right packages
- Solve locales inclusion problem

* Wed Aug 29 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.65.1-4mdk
- switched to manual dependencies to avoid depending upon gnome-libs
- the default paths for icons and pixmaps in WPrefs.app/Paths.c has been
  altered to reflect our own locations
- added --enable-shm
- removed executable flag from source 4 8 10 to make rpmlint happy
- added the 48x48 menu icon

* Fri Aug 24 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.65.1-3mdk
- added a symlink for wmCalClock so that old conf will not be broken
- added two alternative rpms with or without gnome/kde  

* Wed Aug 08 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.65.1-2mdk
- nothing much, I have added scaled and tiled modes for the background picture
  in /usr/lib/menu/WindowMaker

* Wed Aug 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.1-1mdk
- 0.65.1
- Changed background color
- Close bug #2325

* Wed Jun 20 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.65.0-4mdk
- add ia64 compliant

* Fri Jun 08 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.0-3mdk
- Add Conflicts: tag to stop "Rebuild to replace packages lost by crazy bot" song

* Tue Jun 05 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.0-2mdk
- Rebuild to replace packages lost by crazy bot

* Fri May 18 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.0-1mdk
- 0.65.0

* Sun Apr 15 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-8mdk
- Display WMMail applet only if /var/spool/mail/$USER exist and is readable
- Add missing locales for WMPrefs

* Thu Apr 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-7mdk
- Rebuild to replace packages lost by crazy bot

* Mon Mar 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.64.0-6mdk
- rebuild to get a binary RPM in Cooker

* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-5mdk
- BuildRequires: egcs for architectures which don't use GCC-2.95.3 as
  default compiler

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-4mdk
- Rebuild to have packages lost by crazy bot

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-3mdk
- Fix crash when X run in 16 bit (buggy, buggy gcc...)

* Mon Feb 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-2mdk
- Re-upload 0.64.0 replaced by crazy bot
- Merge Alex DU modifications for Chinese

* Mon Feb 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-1mdk
- 0.64.0

* Tue Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 0.63.1-1mdk
- 0.63.1

* Thu Feb 08 2001 Alex DU <dxiaoming@mandrakesoft.com> 0.62.1-21mdk
- Add support for CJK (multibytes chars) user.
- Add a new theme Default.CJK.style and make change of WindowMaker-wmaker.inst.

* Wed Dec 13 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-20mdk
- Libdification

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-19mdk
- Build with glibc-2.2 & gcc-2.96

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-18mdk
- Make auto-login happy

* Thu Aug 31 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-17mdk
- Fix wmsession

* Wed Aug 30 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-16mdk
- Fix "I kill the X server"

* Sun Aug 13 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-15mdk
- New clock (wmCalClock)
- New config files
- Modify Window Maker specific menu entries
- Spec clean up
- Patch for wmsetbg
- Add Packager tag
- New wmsession support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.62.1-14mdk
- automatically added BuildRequires

* Fri May 12 2000 dam's <damien@mandrakesoft.com> 0.62.1-13mdk
- corrected workspace menus.

* Wed May 10 2000 dam's <damien@mandrakesoft.com> 0.62.1-12mdk
- corrected wmaker.inst text script

* Tue May 09 2000 dam's <damien@mandrakesoft.com> 0.62.1-11mdk
- corrected wmaker test script.

* Mon May  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.62.1-10mdk
- remove asclock which conflicts with AfterStep-APPS
- added url

* Tue May  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.62.1-9mdk
- really add menu support

* Fri Apr 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.62.1-8mdk
- added fndSession call

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix wmconfig crash

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-6mdk
- Requires mandrake_desk >= 1.0.3-9mdk

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-5mdk
- Add the binary :/ and put it in the right PATH

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-4mdk
- Relocate in /usr/X11R6
- Menu support
- Fix crazy obsoletes

* Thu Apr 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.62.1-3mdk
- fix a very old bug : when ~/GNUstep doesn't exists, exec wmaker.inst
  else the end user won't be able to launch WindowMaker

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-2mdk
- Split in 2 packages (devel & normal)
- Fix Group

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-1mdk
- 0.62.1

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.0-1mdk
- 0.62.0
- Release for impatients
- Use new Groups
- Use %%{_tmppath} for BuildRoot

* Sun Mar 05 2000 David BAUDENS <baudens@mandrakesoft.com> 0.61.1-17mdk
- Fix duplicate screen saver
- French translations and adapatations

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61.1-16mdk: new icon
- 0.61.1-15mdk: back to /usr for some directories 
- 0.61.1-14mdk: fix PATH in /etc/X11/WindowMaker 
- 0.61.1-13mdk: fix a typo in WMDrake
- 0.61.1-12mdk: requires mandrake_desk >= 1.0.1-11mdk

* Tue Jan 04 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61.1-11mdk: new icon
- 0.61.1-10mdk: better MandrakeSoft customization

* Mon Jan 03 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Enable WMDrake
- Fix typos

* Mon Dec 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix display version

* Tue Dec 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix WMDrake

* Wed Dec 15 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Cleanup spec
- Back to original sources
- (Re) Fix cpp problem

* Wed Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build release

* Tue Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add some apps in wmdrake

* Fri Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Initial wmdrake

* Fri Nov 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61
- Add some patches from package of Ryan Weaver <ryanw@infohwy.com>

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Various patch syncronised with package from Ryan Weaver <ryanw@infohwy.com>
- Added diff from cvs 'WindowMaker-0.61.0-19990922cvs.diff.bz2'
- fixes seg fault at exit among other things including the following.
- fixed problem with window shortcut assignment from the menu
- fixed problem with fonts in WINGs (Masahide -mac- NODA
- WindowMaker-0.61.0-po.patch.bz2

* Tue Sep 21 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.61.0
- fix compilation
- redo Mandrake adaptions

* Tue Jul 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description from Gregus <gregus@etudiant.net>
- fix a typo

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update URL.

* Mon May 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix include problem with /usr/bin/cpp (need /lib/cpp).

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake Adaptations.

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- fixed up default config (dock was empty...)

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- version 0.52.0

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- fixed problem with running wmaker.inst in batch mode (forgot comma)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed icon problems
- run wmaker.inst in batch mode if no ~/GNUstep/Library/WindowMaker dir exists

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- requires cpp

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- make sure we get the full distribution
- run ldconfig in the post script

* Mon Feb 15 1999 The Rasterman <raster@redhat.com>
- added gnome winhints areas support fix.

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.51.0
